#include <iostream>
#include <math.h>
using namespace std;
void nadji(long long int a, long long int b)
{
  int i=0;
 long long int x; 
 long long int y;
  for(i;i<sqrt(a);i++)
  {
    y=i;
    x=b^y;
    if((x*y)==a) break;
  }
  if(i==sqrt(a))
  {
      cout<<"-1";
  }
  else
  {
      cout << x << " " << y << endl;
  }
 
}
int main()
{    
    int t;
    cin >> t;
    long long int a[t];
    long long int b[t];
    for(int i=0;i<=t;i++)
    {
        cin>> a[i];
        cin >> b[i];
      
    }
    for(int i=0;i<t;i++)
    {
          nadji(a[i],b[i]);
    }

return 0;  
}